Podcast #128: We chat with Kent C Dodds about why he loves React and discuss what life was like in the dark days before Git. Listen now.

Questions tagged [qt4]

Version 4.x of the QT framework.

Filter by
Sorted by
Tagged with
0
votes
0answers
8 views

Qt4 WindowsStayOnTop on LXSession

I'm running an application on raspberry pi which uses qt4. My application have different windows, main window and dialogs. When I run my application on raspberry pi desktop it works fine Qt....
0
votes
0answers
13 views

PyQt4 application gives X error: RenderBadglyphset (invalid glyphset parameter) 145

I'm running an PyQt4 application and I am getting the following errors: I'm on raspberry pi jessie and running PyQt4 on python 3.4, I'm clueless how this issue can be solved. Any tips or push in the ...
0
votes
0answers
39 views

Configure Raspberry pi for my application to start on boot

I have created an application through Python that has library dependencies on Qt4, pyqt4, pyqtgraph etc. This application is based on Raspberry Pi, I have developed and finished it on the platform. I ...
2
votes
0answers
542 views

qmlscene could not find a Qt installation of

I'm running this in folder with main.qml qmlscene main.qml qmlscene: could not find a Qt installation of '' Then I checked qtchooser -list-versions 4 5 qt4-x86_64-linux-gnu qt4 qt5-x86_64-...
0
votes
2answers
110 views

Problem compiling QT4 in Beyond Linux From Scratch 7.8

I'm using a VirtualBox machine (32 bit) to build BLFS to comply with the Linux Standard Base (all the packages mentioned in the book (http://www.linuxfromscratch.org/blfs/view/7.8/), with required and ...
0
votes
1answer
309 views

On a KDE4 Debian installation, where does the QtCore library install to?

I have installed every possible package that could have to do with QtCore (I think), but the QtCore library is nowhere to be found. Not in /usr/lib, not in /usr/local/lib, not in usr/include... you ...
3
votes
2answers
349 views

qt4 applications don't work in Xephyr

I am using Xephyr to run applications as another user, while being logged in as primary user. Most applications work fine in Xephyr, except qt4 based. Specifically: electrum ipython qtconsole ...
4
votes
1answer
3k views

How to change QtCurve style/theme without KDE via config file editing?

I have downloaded a QtCurve theme. I do not use KDE, I use a standalone WM (awesome). How do I change QtCurve style/theme via config file editing? Which config file contains this setting?
3
votes
0answers
1k views

How to launch an application with different Gtk+ 2 theme?

I'm trying to use a dark Gtk+ theme, and everything goes fine with native Gtk+ apps, and well, only with Gtk+ apps. I mean, wxWidgets and Mozilla's apps looks terrible, if not counting unreadability (...
1
vote
2answers
3k views

Depends: libqtgui4 (>= 4.6.2) but it is not installed

I want to install the Wing IDE for python. When I executed it, dpkg showed me some qt packages that were not installed. I installed a few of them via Synaptic Package Manager, but the rest cannot be ...
0
votes
1answer
255 views

How to edit Qt4 source and make changes apply

Basically, I have a change to be done in /usr/src/qt/src/src/gui/kernel/qclipboard_x11.cpp There is a 10s timeout that causes apps to hang on shutdown (search the file for the word "reasonable"). ...
2
votes
1answer
608 views

Can't input non-latin characters into skype on OpenSUSE 13.1

I'm currently having an annoying issue with the latest version of Skype 4.3.0.37 (installed from the RPM on a 64bit machine following the official documentation). For some unknown to me reason, I'm ...
-1
votes
1answer
1k views

online installer Qt for chessx on Centos 6.4 compile with qmake

Using yum install qt has installed qt.i686 1:4.6.2-28.el6_5 to my /usr/share folder on Centos 6.5 but I need to follow these instructions to get chessx working: To compile ChessX, you need Qt ...
4
votes
3answers
3k views

How to find out what's wrong on all of my Qt programs?

I'm using Arch Linux (Linux 3.13), when I run qtcreator, it crashes, and the same happens for other Qt based software: $ qtcreator "Qt Warning - invalid keysym: dead_actute" Segmentation fault (core ...
1
vote
2answers
1k views

Skype does not appear in panel (elementaryOS 0.2)

I had removed skype panel icon with this method : https://askubuntu.com/questions/7479/how-can-i-remove-the-skype-panel-icon-in-ubuntu-12-04-and-earlier/118979#118979 It worked fine, and I was using ...
1
vote
0answers
85 views

Changing order of font style

Is it possible to change the order of font style? In qtconfig-qt4, the default style was no longer Regular. Is it possible to re-order it? Maybe with something in /etc/fonts/conf.d? Anyone know it?